Subject: bug#65305: 29.1; archive-mode can not handle subfile names encoded with utf-8

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Aug 2023 17:19:19 +0300

> From: [email-masked]
> Cc: [email-masked]
> Date: Thu, 17 Aug 2023 22:56:54 +0900
> 
> Sorry, I have mistaken something.
> 7z.exe works for rewriting with the settings above.
> (not only ascii subfiles but also cp932 encodable subfiles)
> 
> I imagine if there is a special program which interprets ascii arguments
> into multilingual strings.
> Any subfile in any archive file will be treated correctly within emacs.
> So I implemented an instant program using base64.

I guess it's a special feature of 7-zip that it supports
base64-encoded file names?  Since 7-zip is not really Free Software,
I'm reluctant to go to such lengths on its behalf, especially since
it's only for MS-Windows.